﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
 
<table style="width:100%;">
    <tr>
        <td colspan="3">
            <table style="min-width:1024px;">
                <tr>
                    <td style="width:60px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label"; 
                                label.Text = "Trucking";
                                label.Style.Add("padding-right", "10px");
                            }).GetHtml()
                    </td>
                    <td style="width:200px">
                        @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "grlLPHeader";
                                s.GridProperties.Name = "grlLPHeaderGrid";
                                s.GridProperties.KeyFieldName = "LOG_PARTNER_CD";
                                //s.GridProperties.Styl
                                //s.GridProperties.Style.Add("back-color", "#F5F6CE");
                                s.GridProperties.Style.Add("padding-right", "10px");
                                s.GridProperties.Style.Add("padding-left", "10px");
                                s.GridProperties.CallbackRouteValues = new { Controller = "LogisticPartnerMaster", Action = "LPPartialAdditional" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                s.ReadOnly = true;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPCode";
                                    c.FieldName = "LOG_PARTNER_CD";
                                    c.Caption = "Code";
                                    c.Width = Unit.Pixel(80);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPName";
                                    c.FieldName = "LOG_PARTNER_NAME";
                                    c.Caption = "Name";
                                });
                            }
                        ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
                    </td>
                    <td style = "width:100px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Delivery Type"; 
                                label.Style.Add("padding-left", "10px");
                                label.Style.Add("padding-right", "10px");
                            }).GetHtml()
                    </td>
                    <td style="width:75px">
                         @Html.DevExpress().ComboBox(
                            setting =>
                            {
                                setting.Name = "cmbActiveFlag";
                                setting.Width = Unit.Pixel(100);
                                setting.Properties.Items.Add("", "");
                                setting.Properties.Items.Add("All", "All");
                                setting.Properties.Items.Add("Inactive", "Inactive");
                                setting.Properties.Items.Add("By Supplier", "Direct");
                                setting.Properties.Items.Add("By TMMIN", "Indirect");
                            }).GetHtml()
                    </td>
                    <td style="width:700px"></td>
                    <td style="float:right">
                        @Html.DevExpress().Button(
                            button =>
                            {
                                button.Name = "btnSearch";
                                button.Text = "Search";
                                button.Width = Unit.Pixel(80);
                                button.Style.Add("display", "inline-table");
                                //button.Style.Add("padding-left", "70px");
                                button.ClientSideEvents.Click = "btnSearch_click";
                            }
                        ).GetHtml()
                    </td>
                    <td>
                         @Html.DevExpress().Button(
                            button =>
                            {
                                button.Name = "btnClear";
                                button.Text = "Clear";
                                button.Width = Unit.Pixel(80);
                                button.Style.Add("display", "inline-table");
                                button.ClientSideEvents.Click = "btnClear_click";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>        
        </td>
    </tr>
</table>